package com.covas;

import io.quarkus.runtime.annotations.RegisterForReflection;

@RegisterForReflection
public class Token {

    public String name;
    public Boolean isHttps;
    public String authScheme;
    public Boolean hasJwt;
    public String birthday;

    public Token(){
        this.name = "anonymous";
        this.isHttps = false;
        this.authScheme = "";
        this.hasJwt = false;
        this.birthday = "";
    }

    public Token(String name, Boolean isHttps, String authScheme, Boolean hasJwt){
        this.name = name;
        this.isHttps = isHttps;
        this.authScheme = authScheme;
        this.hasJwt = hasJwt;
        this.birthday = "";
    }

    
    
    
}
